import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";

var stringOrIntToMs = function stringOrIntToMs(_ref) {
  var ttl = _ref.ttl;
  var RADIX = 10;

  if (typeof ttl === 'number') {
    return ttl;
  }

  var _ttl$split = ttl.split(' '),
      _ttl$split2 = _slicedToArray(_ttl$split, 2),
      unit = _ttl$split2[0],
      amount = _ttl$split2[1];

  try {
    unit = parseInt(unit, RADIX);
  } catch (e) {
    return false;
  }

  switch (amount) {
    case 'second':
    case 'seconds':
      return unit * 1000;

    case 'minute':
    case 'minutes':
      return unit * 1000 * 60;

    case 'hour':
    case 'hours':
      return unit * 1000 * 60 * 60;

    default:
      return false;
  }
};

export default stringOrIntToMs;